| CustomiOSApi 1.09

Public Types | Instance Methods | List of all members
PrinterFont Class Reference

This the container class to hold various font attributes More...

`#import <PrinterFont.h>`

## Public Types
enum | FontSize { FONT_SIZE_X1 = 0 , FONT_SIZE_X2 = 1 , FONT_SIZE_X3 = 2 , FONT_SIZE_X4 = 3 , FONT_SIZE_X5 = 4 , FONT_SIZE_X6 = 5 , FONT_SIZE_X7 = 6 , FONT_SIZE_X8 = 7 }
| Font Size More...
enum | FontJustification { FONT_JUSTIFICATION_LEFT = 0 , FONT_JUSTIFICATION_CENTER = 1 , FONT_JUSTIFICATION_RIGHT = 2 }
| Font Justification More...
enum | FontType { FONT_TYPE_A = 0 , FONT_TYPE_B = 1 }
| Font Type More...
enum | FontIntCharset { FONT_CS_DEFAULT = 0 , FONT_CS_RUSSIAN = 1 , FONT_CS_TURKISH = 2 , FONT_CS_EASTEEUROPE = 3 , FONT_CS_ISRAELI = 4 , FONT_CS_GREEK = 5 }
| Font International Charset More...

## Instance Methods
(enum FontSize) | - GetCharWidth
| Get Character width ratio (default FONT_SIZE_X1) More...
(void) | - SetCharWidth:value:
| Set Character width ratio More...
(enum FontSize) | - GetCharHeight
| Get Character height ratio (default FONT_SIZE_X1) More...
(void) | - SetCharHeight:value:
| Set Character height ratio More...
(Boolean) | - GetEmphasized
| Get Font emphasied (default false) More...
(void) | - SetEmphasized:
| Set Font emphasied More...
(Boolean) | - GetItalic
| Get Font italic (default false) More...
(void) | - SetItalic:
| Set Font italic More...
(Boolean) | - GetUnderline
| Get Font underline (default false) More...
(void) | - SetUnderline:
| Set Font underline More...
(enum FontJustification) | - GetJustification
| Get Font justification: More...
(void) | - SetJustification:value:
| Set Font justification: More...
(enum FontType) | - GetCharFontType
| Get Font type: More...
(void) | - SetCharFontType:value:
| Set Font type: More...
(enum FontIntCharset) | - GetInternationalCharSet
| Get Font international char set: More...
(void) | - SetInternationalCharSet:value:
| Get Font international char set: More...
(NSStringEncoding) | - GetEncodingCharSet
| Get Font international char encoding (Only if loaded on printer) More...
(void) | - SetEncodingCharSet:value:
| Set Font international char encoding (Only if loaded on printer) More...
(id) | - init`[implementation]`

## Detailed Description

This the container class to hold various font attributes

## Member Enumeration Documentation

## ◆ FontIntCharset

- (enum) FontIntCharset

Font International Charset

Enumerator
FONT_CS_DEFAULT | Indicates that the International Charset is the Printer Default
FONT_CS_RUSSIAN | Indicates that the International Charset is Russian (PC866)
FONT_CS_TURKISH | Indicates that the International Charset is Turkish (PC857)
FONT_CS_EASTEEUROPE | Indicates that the International Charset is East Europe (PC852)
FONT_CS_ISRAELI | Indicates that the International Charset is Israeli (PC862)
FONT_CS_GREEK | Indicates that the International Charset is Greek (PC737)

## ◆ FontJustification

- (enum) FontJustification

Font Justification

Enumerator
FONT_JUSTIFICATION_LEFT | Indicates that the Font Justification is Left
FONT_JUSTIFICATION_CENTER | Indicates that the Font Justification is Center
FONT_JUSTIFICATION_RIGHT | Indicates that the Font Justification is Right

## ◆ FontSize

- (enum) FontSize

Font Size

Enumerator
FONT_SIZE_X1 | Indicates that the Font Size is 1X
FONT_SIZE_X2 | Indicates that the Font Size is 2X
FONT_SIZE_X3 | Indicates that the Font Size is 3X
FONT_SIZE_X4 | Indicates that the Font Size is 4X
FONT_SIZE_X5 | Indicates that the Font Size is 5X
FONT_SIZE_X6 | Indicates that the Font Size is 6X
FONT_SIZE_X7 | Indicates that the Font Size is 7X
FONT_SIZE_X8 | Indicates that the Font Size is 8X

## ◆ FontType

- (enum) FontType

Font Type

Enumerator
FONT_TYPE_A | Indicates that the Font Type is A
FONT_TYPE_B | Indicates that the Font Type is B

## Method Documentation

## ◆ GetCharFontType

- (enum FontType) GetCharFontType |  |  |

Get Font type:

- FONT_TYPE_A - Font A.
- FONT_TYPE_B - Font B.

## ◆ GetCharHeight

- (enum FontSize) GetCharHeight |  |  |

Get Character height ratio (default FONT_SIZE_X1)

## ◆ GetCharWidth

- (enum FontSize) GetCharWidth |  |  |

Get Character width ratio (default FONT_SIZE_X1)

## ◆ GetEmphasized

- (Boolean) GetEmphasized |  |  |

Get Font emphasied (default false)

## ◆ GetEncodingCharSet

- (NSStringEncoding) GetEncodingCharSet |  |  |

Get Font international char encoding (Only if loaded on printer)

NSStringEncoding references

## ◆ GetInternationalCharSet

- (enum FontIntCharset) GetInternationalCharSet |  |  |

Get Font international char set:

- FONT_CS_DEFAULT - Printer Default.
- FONT_CS_RUSSIAN - RUSSIAN (Only if loaded on printer).
- FONT_CS_TURKISH - TURKISH (Only if loaded on printer).
- FONT_CS_EASTEEUROPE - EAST EUROPE (Only if loaded on printer).
- FONT_CS_ISRAELI - ISRAELI (Only if loaded on printer).
- FONT_CS_GREEK - GREEK (Only if loaded on printer).

## ◆ GetItalic

- (Boolean) GetItalic |  |  |

Get Font italic (default false)

## ◆ GetJustification

- (enum FontJustification) GetJustification |  |  |

Get Font justification:

- FONT_JUSTIFICATION_LEFT - left
- FONT_JUSTIFICATION_CENTER - center
- FONT_JUSTIFICATION_RIGHT - right

## ◆ GetUnderline

- (Boolean) GetUnderline |  |  |

Get Font underline (default false)

## ◆ init

- (id) init |  |  |
| implementation

## ◆ SetCharFontType:value:

- (void) SetCharFontType: |  | (enum FontType) |
value: |  | (NSError**) | error

Set Font type:

Parameters

  value | Font value: FONT_TYPE_A - Font A. FONT_TYPE_B - Font B.
  error | Error pointer

## ◆ SetCharHeight:value:

- (void) SetCharHeight: |  | (enum FontSize) |
value: |  | (NSError**) | error

Set Character height ratio

Parameters

  value | Font height ratio Size
  error | Error pointer

## ◆ SetCharWidth:value:

- (void) SetCharWidth: |  | (enum FontSize) |
value: |  | (NSError**) | error

Set Character width ratio

Parameters

  value | Font width ratio Size
  error | Error pointer

## ◆ SetEmphasized:

- (void) SetEmphasized: |  | (Boolean) | value |

Set Font emphasied

Parameters

  value | Emphasized value

## ◆ SetEncodingCharSet:value:

- (void) SetEncodingCharSet: |  | (NSStringEncoding) |
value: |  | (NSError**) | error

Set Font international char encoding (Only if loaded on printer)

Parameters

  value | Font international char encoding NSStringEncoding references
  error | Error pointer

## ◆ SetInternationalCharSet:value:

- (void) SetInternationalCharSet: |  | (enum FontIntCharset) |
value: |  | (NSError**) | error

Get Font international char set:

Parameters

  value | Font international char set value: FONT_CS_DEFAULT - Printer Default. FONT_CS_RUSSIAN - RUSSIAN (Only if loaded on printer). FONT_CS_TURKISH - TURKISH (Only if loaded on printer). FONT_CS_EASTEEUROPE - EAST EUROPE (Only if loaded on printer). FONT_CS_ISRAELI - ISRAELI (Only if loaded on printer). FONT_CS_GREEK - GREEK (Only if loaded on printer).
  error | Error pointer

## ◆ SetItalic:

- (void) SetItalic: |  | (Boolean) | value |

Set Font italic

Parameters

  value | Italic value

## ◆ SetJustification:value:

- (void) SetJustification: |  | (enum FontJustification) |
value: |  | (NSError**) | error

Set Font justification:

Parameters

  value | Justification value: FONT_JUSTIFICATION_LEFT - left FONT_JUSTIFICATION_CENTER - center FONT_JUSTIFICATION_RIGHT - right
  error | Error pointer

## ◆ SetUnderline:

- (void) SetUnderline: |  | (Boolean) | value |

Set Font underline

Parameters

  value | Underline value